#Update the user's workout goals based on their most recent workout results
#Input parameters: array of weights for 1 of the 6 body types, Q#1 Ans, Q#2 Ans, Q#3 Ans
#Returns array with updated weight goals
def UpdateExerciseGoals(array, input1, input2, input3)
	
	index = 0

	#User met their goals, feels stronger because of the workout, 
	#and was well rested at time of workout so goal increase value = 1.1
	if input1 == 1 and input2 == 1 and input3 == 1
		while index < 5 do
			temp = array[index]
			array[index] = (array[index]*1.1).floor
			if (array[index]-temp) > 5
				array[index]-= (array[index] % 5)
			elsif (array[index]-temp) == 5
				#Do nothing since number is ok
			else
				array[index]+=(5 - (array[index] % 5))
			end
			index+=1
		end

	#User met their goals, feels stronger because of the workout, 
	#but was not well rested at time of workout so goal increase value = 1.05
	elsif input1 == 1 and input2 == 1 and input3 == 0
		while index < 5 do
			temp = array[index]
			array[index] = (array[index]*1.05).floor
			if (array[index]-temp) > 5
				array[index]-= (array[index] % 5)
			elsif (array[index]-temp) == 5
				#Do nothing since number is ok
			else
				array[index]+=(5 - (array[index] % 5))
			end
			index+=1
		end

	#User met their goals, does not feel stronger because of the workout, 
	#and was well rested at time of workout so goal increase value = 1.2
	elsif input1 == 1 and input2 == 0 and input3 == 1
		while index < 5 do	
			temp = array[index]
			array[index] = (array[index]*1.2).floor
			if (array[index]-temp) > 5
				array[index]-= (array[index] % 5)
			elsif (array[index]-temp) == 5
				#Do nothing since number is ok	
			else
				array[index]+=(5 - (array[index] % 5))
			end
			index+=1
		end

	#User did not meet their goals, feels stronger because of the workout, 
	#and was well rested at time of workout so goal increase value = 0.85
	elsif input1 == 0 and input2 == 1 and input3 == 1
		while index < 5 do
			temp = array[index]
			array[index] = (array[index]*0.85).floor
			if (temp - array[index]) < 5
				array[index]-= ((array[index] % 5))
			elsif (temp - array[index]) == 5
				#Do nothing since number is ok
			else
				array[index]+=(5 - (array[index] % 5))
			end
			index+=1
		end

	#User did not meet their goals, does not feel stronger because of the workout, 
	#and was well rested at time of workout so goal increase value = 0.8
	elsif input1 == 0 and input2 == 0 and input3 == 1
		while index < 5 do
			temp = array[index]
			array[index] = (array[index]*0.80).floor
			if (temp - array[index]) < 5
				array[index]-= ((array[index] % 5))
			elsif (temp - array[index]) == 5
				#Do nothing since number is ok
			else
				array[index]+=(5 - (array[index] % 5))
			end
			index+=1
		end

	#User did not meet their goals, feels stronger because of the workout, 
	#but was not well rested at time of workout so goal increase value = 0.9
	elsif input1 == 0 and input2 == 1 and input3 == 0
		while index < 5 do
			temp = array[index]
			array[index] = (array[index]*0.9).floor
			if (temp - array[index]) < 5
				array[index]-= ((array[index] % 5))
			elsif (temp - array[index]) == 5
				#Do nothing since number is ok
			else
				array[index]+=(5 - (array[index] % 5))
			end
			index+=1
		end

	#User did meet their goals, does not feel stronger because of the workout, 
	#and was not well rested at time of workout so goal increase value = 1.1
	elsif input1 == 1 and input2 == 0 and input3 == 0
		while index < 5 do
			temp = array[index]
			array[index] = (array[index]*1.1).floor
			if (array[index]-temp) > 5
				array[index]-= (array[index] % 5)
			elsif (array[index]-temp) == 5
				#Do nothing since number is ok	
			else
				array[index]+=(5 - (array[index] % 5))
			end
			index+=1
		end

	#User did not meet their goals, does not feel stronger because of the workout, 
	#and was not well rested at time of workout so goal increase value = 0.7
	else
		while index < 5 do
			temp = array[index]
			array[index] = (array[index]*0.7).floor
			if (temp - array[index]) < 5
				array[index]-= ((array[index] % 5))
			elsif (temp - array[index]) == 5
				#Do nothing since number is ok
			else
				array[index]+=(5 - (array[index] % 5))
			end
			index+=1
		end
	end

	return array

end

	#Example of previous user's workout goals
	chest = [20,30,40,50,60]

	met_goals = 0

	feel_strong = 1

	feel_rested = 1

	chest = UpdateExerciseGoals(chest, met_goals, feel_strong, feel_rested)

	puts(chest)
